Go Back   Project64 Forums > General Discussion > Open Discussion

Reply
 
Thread Tools Display Modes
  #1  
Old 30th May 2018, 12:14 AM
JamesC01 JamesC01 is offline
Junior Member
 
Join Date: May 2018
Location: United Kingdom
Posts: 4
Default Please add an option to download legacy version of pj64

1.6 is the only version acceptable for speedruns, taking the old downloads off of here was a bad idea. Please put them back.
Reply With Quote
  #2  
Old 30th May 2018, 12:40 AM
=X= Smasherx74 =X= =X= Smasherx74 =X= is offline
Senior Member
 
Join Date: Jun 2011
Posts: 150
Default

Quote:
Originally Posted by JamesC01 View Post
1.6 is the only version acceptable for speedruns, taking the old downloads off of here was a bad idea. Please put them back.
Everything is backed up, there are tons of places with standalone backups of everything.

What speedrunning community are you referring to here? OOT/MM stepped up to 2.X and started timing the emulation runs properly didn't they?
Reply With Quote
  #3  
Old 30th May 2018, 01:42 AM
JamesC01 JamesC01 is offline
Junior Member
 
Join Date: May 2018
Location: United Kingdom
Posts: 4
Default

Quote:
Originally Posted by =X= Smasherx74 =X= View Post
Everything is backed up, there are tons of places with standalone backups of everything.

What speedrunning community are you referring to here? OOT/MM stepped up to 2.X and started timing the emulation runs properly didn't they?
I know the files are backed up to third party locations, but I don't understand their reasoning for taking 1.6 and below away. Is it just because they want the annoying "donate to pj64" popup? And 2.x+ is still banned everywhere, I'm sure there's some community's that use 2.x+, but speedrun.com and speedrunslive have a ban for 2.x+
Reply With Quote
  #4  
Old 30th May 2018, 01:49 AM
=X= Smasherx74 =X= =X= Smasherx74 =X= is offline
Senior Member
 
Join Date: Jun 2011
Posts: 150
Default

Quote:
Originally Posted by JamesC01 View Post
I know the files are backed up to third party locations, but I don't understand their reasoning for taking 1.6 and below away. Is it just because they want the annoying "donate to pj64" popup? And 2.x+ is still banned everywhere, I'm sure there's some community's that use 2.x+, but speedrun.com and speedrunslive have a ban for 2.x+
I don't understand why'd they'd ban 2.X, if load times are the issue then do what the OOT/MM community did.

If you want to ban 2.X then ban emulation in general or create another category for emu runs.
Reply With Quote
  #5  
Old 30th May 2018, 02:08 AM
JamesC01 JamesC01 is offline
Junior Member
 
Join Date: May 2018
Location: United Kingdom
Posts: 4
Default

Quote:
Originally Posted by =X= Smasherx74 =X= View Post
I don't understand why'd they'd ban 2.X, if load times are the issue then do what the OOT/MM community did.

If you want to ban 2.X then ban emulation in general or create another category for emu runs.
But the oot community didn't allow 2.x, "You must use Project64 1.6 or 1.7. All other emulators and versions (such as Mupen64/Bizhawk/Project64 2.0+) are banned" - speedrun.com. Why would they ban all emulators when 1.6 has been the standard, they're not just going to switch and throw away all of the previous records, that would be stupid.
Reply With Quote
  #6  
Old 30th May 2018, 11:25 AM
=X= Smasherx74 =X= =X= Smasherx74 =X= is offline
Senior Member
 
Join Date: Jun 2011
Posts: 150
Default

Quote:
Originally Posted by JamesC01 View Post
But the oot community didn't allow 2.x, "You must use Project64 1.6 or 1.7. All other emulators and versions (such as Mupen64/Bizhawk/Project64 2.0+) are banned" - speedrun.com. Why would they ban all emulators when 1.6 has been the standard, they're not just going to switch and throw away all of the previous records, that would be stupid.
2.X was allowed after sometime while I was involved with the community iirc. They also made emulator runs 100% illegal at one point, then came up with solution to make 2.X acceptable by timing the decrease load times differently.

I'm not at all involved anymore in the community, I don't doubt they've made questionable decisions. So them either having 2.X acceptable on something like ZSR but different on SRL wouldn't surprise me.

Last I checked, 2.X was apparently acceptable and emulator runs were timed properly to not give them an advantage. This was suppose to be a big deal but I loss interest around the time it was legalized if memory serves me correct. If that has all been disregarded, and emulators are completely banned again then great good for the Zelda64 community. Either way, if you specify the exact problems you or your community has with a certain game / emulator / plugin then it can potentially be fixed. Possibly by just modifying settings available in the emulator.


Edit: To elaborate on the specifics. IIRC ZFG showed his 100% run was getting about 30-40min difference on console vs emulator. Load times were potentially fixed by changing the VI refresh rate iirc. I don't remember and can't say for sure about any of this, but despite there being a fix for the load times being faster the zelda64 community decided to start recording times ignoring load screens or adding a fixated time for each load screen, I honestly dont know and don't remember I could be wrong on all of this. But basically emulator runs were acceptable for 2.X at one point. I remember emulators being banned abroad, but I believe that happened before 2.X fixes were made public. Since that time I can only imagine the conflict and chaos they've had, so imaging they went back to no emulators again doesn't surprise me. I wouldn't be surprised if I'm mixing up communities either. Either way, the point is if they really wanted to make speedrunning available to everyone then creating rulesets/timing/settings for emulators would help give more people a shot at learning to do the runs. I've always been pro-community, I've made arguments in past similar to this, now in days I really don't care so I probably wont spend anytime arguing with you if you disagree with something I've said here. I'm not claiming to be absolutely right or wrong, just stating what memory I have.

Last edited by =X= Smasherx74 =X=; 30th May 2018 at 11:31 AM.
Reply With Quote
  #7  
Old 31st May 2018, 03:38 PM
JamesC01 JamesC01 is offline
Junior Member
 
Join Date: May 2018
Location: United Kingdom
Posts: 4
Default

I don't really care if they allowed 2.x for a certain amount of time, that doesn't matter. I don't mind using 2.x, but I don't understand why they removed the old downloads, I'm sure they have back ups on their computer, but why not host them here? I really don't get the point.
Reply With Quote
Reply

Tags
1.6, download

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Forum Jump


All times are GMT. The time now is 04:50 PM.


Powered by vBulletin® Version 3.7.3
Copyright ©2000 - 2018, Jelsoft Enterprises Ltd.